Skip to main content
PATCH
/
placements
/
{placementId}
Update placement
curl --request PATCH \
  --url https://api.gospott.com/placements/{placementId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "templateId": "<string>",
  "placedByUserId": "<string>",
  "placedAtDate": "2023-11-07T05:31:56Z",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "netFee": {
    "amount": 10000,
    "currency": "EUR"
  },
  "grossFee": {
    "amount": 10000,
    "currency": "EUR"
  },
  "attributeValues": [
    {
      "attributeDefinitionId": "550e8400-e29b-41d4-a716-446655440000",
      "value": {
        "viewType": "customText",
        "text": "Senior Software Engineer"
      }
    }
  ],
  "feeSplits": [
    {
      "userId": "<string>",
      "percentage": 0.5
    }
  ]
}
'

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.

Path Parameters

placementId
string
required

Body

application/json
templateId
string

ID of the placement template to use for custom fields

placedByUserId
string

ID of the user who made the placement

placedAtDate
string<date-time>

Date when the placement was made

startDate
string<date-time> | null

Start date of the placement/employment. Set to null to clear.

endDate
string<date-time> | null

End date of the placement/employment. Set to null to clear.

netFee
object

Net fee income after deductions. Must be positive if provided. Set to null to clear.

grossFee
object

Gross fee income before deductions. Must be positive if provided. Set to null to clear.

attributeValues
object[]

Custom attribute values for this placement

feeSplits
object[]

Fee splits among team members. Replaces all existing splits when provided.

Response

Placement updated successfully